Package org.apache.avro.mapred

# Class SequenceFileRecordReader<K,V>

java.lang.Object
org.apache.avro.mapred.AvroRecordReader<Pair<K,V>>
org.apache.avro.mapred.SequenceFileRecordReader<K,V>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `RecordReader<AvroWrapper<Pair<K,V>>,NullWritable>`

public class SequenceFileRecordReader<K,V> extends AvroRecordReader<Pair<K,V>>
A `RecordReader` for sequence files.

## Constructor Summary

Constructors
Constructor
Description
`SequenceFileRecordReader(JobConf job, FileSplit split)`

## Method Summary

### Methods inherited from class org.apache.avro.mapred.AvroRecordReader

`close, createKey, createValue, getPos, getProgress, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SequenceFileRecordReader

public SequenceFileRecordReader(JobConf job, FileSplit split) throws IOException

Throws:
  `IOException`